"use strict";
const styles_lib_css_typography_css_cjs = require("./typography.css.cjs");
function textStyles({
  weight = "regular",
  size = "standard",
  tone = "neutral",
  baseline
}) {
  return [
    styles_lib_css_typography_css_cjs.fontFamily,
    styles_lib_css_typography_css_cjs.fontWeight[weight],
    styles_lib_css_typography_css_cjs.tone[tone],
    (baseline ? styles_lib_css_typography_css_cjs.textSizeTrimmed : styles_lib_css_typography_css_cjs.textSizeUntrimmed)[size]
  ];
}
exports.textStyles = textStyles;
